## ros-indigo-pr2-navigation-perception 0.1.28

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_navigation_perception)

find_package(catkin REQUIRED COMPONENTS semantic_point_annotator laser_filters pr2_machine topic_tools pr2_navigation_self_filter geometry_msgs dynamic_reconfigure sensor_msgs roscpp tf filters message_filters laser_geometry laser_tilt_controller_filter pcl_ros)

catkin_package(
    DEPENDS 
    CATKIN_DEPENDS semantic_point_annotator laser_filters pr2_machine topic_tools pr2_navigation_self_filter geometry_msgs dynamic_reconfigure sensor_msgs roscpp tf filters message_filters laser_geometry laser_tilt_controller_filter pcl_ros
    INCLUDE_DIRS config/pr2_laser_filters/include
    LIBRARIES pr2_point_cloud_filters
)

include_directories(${PROJECT_SOURCE_DIR}/config/pr2_laser_filters/include ${catkin_INCLUDE_DIRS})
add_library(pr2_point_cloud_filters config/pr2_laser_filters/src/pr2_point_cloud_filters.cpp)
target_link_libraries(pr2_point_cloud_filters ${catkin_LIBRARIES})
add_dependencies(pr2_point_cloud_filters ${catkin_EXPORTED_TARGETS})

install(TARGETS pr2_point_cloud_filters
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES  ground_plane.xml lasers_and_filters.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY config
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-navigation-perception (0.1.28-0trusty) trusty; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_navigation/issues/36> from k-okada/fix_catkin_depends
    fixed CMake files for compile in kinetic
  * updated maintainer
  * Merge pull request #27 <https://github.com/pr2/pr2_navigation/issues/27> from v4hn/pr-hydro-fix-broken-filters-plugin
    specify prefix for filter plugins
  * Merge pull request #35 <https://github.com/pr2/pr2_navigation/issues/35> from k-okada/hydro-devel
    use arg for all parameters for ground filtering
  * fix layout
  * enable to use args for all params
  * Merge pull request #28 <https://github.com/pr2/pr2_navigation/issues/28> from v4hn/pr-hydro-filter-machine
    spawn laser filter on c2 (where the rest of the pipeline runs)
  * Merge pull request #31 <https://github.com/pr2/pr2_navigation/issues/31> from mikaelarguedas/update_pluginlib_macros
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * spawn laser filter on c2 (where the rest of the pipeline runs)
    Without this, all tilt laserscans are sent back and forth between
    c1 and c2 for no reason, adding to the general delays...
  * specify prefix for filter plugins
    The missing prefix has hazardous consequences due
    to a series of unfortunate events involving the filters and the
    laser_filters package..
  * Contributors: Austin, David Feil-Seifer, Kei Okada, Mikael Arguedas, v4hn

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 26 Apr 2018 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.27-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.26-0trusty) trusty; urgency=high

  * Updated maintanership
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.25-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.24-0trusty) trusty; urgency=high

  * Remove mainpage.dox
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.23-0trusty) trusty; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.22-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 07 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.21-0trusty) trusty; urgency=high

  * Removed unnecesary dependency on deprecated pcl
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.20-0trusty) trusty; urgency=high

  * 0.1.19
  * Added changelogs
  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.19-0trusty) trusty; urgency=high

  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-perception (0.1.18-0trusty) trusty; urgency=high

  * catkinize packages
  * Add ignores.
  * Fixes to keep costmap clean of artifacts in voxel grid.
    Added an interpolation filter to the tilt laser scan used for clearing.  This lets the laser clear
    voxels which are no longer filled but which are in front of transparent objects which don't give a
    proper laser reading.
    Changed the timing of when in the tilt scan the laser data is used for marking.  Previously it was
    prone to marking voxels at the top edge of the tilt scan which would never get cleared out.  Now
    the filter stops accepting tilt scan data .05 seconds before it gets to the top of the tilt range,
    and the problem does not seem to happen.  This throws away a very thin wedge of scan data which does
    not seem to hurt performance.
  * The last touches for moving pr2_navigation over to PointCloud2
  * Fixing some dependencies
  * Removing unused laser footprint filter
  * Since the footprint extractor is a filter, the ROS message types must be used rather than the pcl subscriber
  * Porting the footprint filter from a PointCloud to PointCloud2
  * Switching to the un-deprecated pluginlib macro
  * Fixes for fuerte
  * Running the navigation stack on c2, removing some throttles
  * Removing a package dependency on pr2_tilt_laser_profile that wasn't needed
  * Adding the laser_tilt_controller_filter package as a dependency
  * Adding the downscan filter to the tilt laser filters
  * Changing throttles to operate at 1.0 hz
  * Modifying pr2_navigation to use the pr2_move_base node to manage the tilt laser instead of the laser_tilt_action script
  * Adding descriptions of each package to manifest files
  * Copying pr2_navigation from staging area to stacks section of the repoistory
  * Contributors: Austin Hendrix, Dave Hershberger, Eitan Marder-Eppstein, Kei Okada, eitan

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-navigation-perception
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-filters, ros-indigo-geometry-msgs, ros-indigo-laser-filters, ros-indigo-laser-geometry, ros-indigo-laser-tilt-controller-filter, ros-indigo-message-filters, ros-indigo-pcl-ros, ros-indigo-pr2-machine, ros-indigo-pr2-navigation-self-filter, ros-indigo-roscpp, ros-indigo-semantic-point-annotator, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-topic-tools
Homepage: http://ros.org/wiki/pr2_navigation_perception
Standards-Version: 3.9.2

Package: ros-indigo-pr2-navigation-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-filters, ros-indigo-geometry-msgs, ros-indigo-laser-filters, ros-indigo-laser-geometry, ros-indigo-laser-tilt-controller-filter, ros-indigo-message-filters, ros-indigo-pcl-ros, ros-indigo-pr2-machine, ros-indigo-pr2-navigation-self-filter, ros-indigo-roscpp, ros-indigo-semantic-point-annotator, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-topic-tools
Description: This package holds navigation-specific sensor configuration options and launch files for the PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-navigation-perception//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
